package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.WXAccessTokenMapper;
import com.sa.ibiz.demo.demo.domain.WXAccessToken;
import com.sa.ibiz.demo.demo.service.WXAccessTokenService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.WXAccessTokenSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.WXAccountService;

/**
 * 实体[WXAccessToken] 服务对象接口实现
 */
@Service
public class WXAccessTokenServiceImpl extends ServiceImplBase<WXAccessTokenMapper, WXAccessToken> implements WXAccessTokenService{

    @Autowired
    private WXAccountService wxaccountService;

    @Resource
    private WXAccessTokenMapper wxaccesstokenMapper;


    @Override
    public boolean create(WXAccessToken et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(WXAccessToken et){
        this.beforeUpdate(et);
		this.wxaccesstokenMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(WXAccessToken et){
		return et.getWxaccesstokenid();  
    }

    @Override
    public boolean getDraft(WXAccessToken et)  {
    if((!StringUtils.isEmpty(et.getWxaccountid())) && et.getWxaccount() == null){
            try {
                et.setWxaccount(wxaccountService.getById(et.getWxaccountid()));
            }catch (Exception ex){}
        }
            return true;
    }

	public List<WXAccessToken> listDefault(WXAccessTokenSearchFilter filter) {
		return wxaccesstokenMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<WXAccessToken> searchDefault(WXAccessTokenSearchFilter filter) {
		return wxaccesstokenMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return wxaccesstokenMapper.selectRow(sql);
    }

 }